#!/bin/bash
SCRIPT_DIR="$(realpath $(dirname "$(readlink -f "$0")"))"

. $SCRIPT_DIR/_docker-cmd.sh || {
  echo "no docker cmd is presented" && exit 1
}

CONTAINER=$(docker ps | grep mariadb | awk '{print $1}')

if [[ -z "${CONTAINER}" ]]; then
  echo "Unable to find container: db"
  exit 1
fi

MYSQL_CMD='mysql -u root -p123456'

SQL_QUERY=$1

if [[ -n "${SQL_QUERY}" ]]; then
    MYSQL_CMD="${MYSQL_CMD} -e \"${SQL_QUERY}\""

    SELECTED_DB=$2

    if [[ -n "${SELECTED_DB}" ]]; then
      MYSQL_CMD="${MYSQL_CMD} \"${SELECTED_DB}\""
    fi
fi

$DOCKER_CMD exec -ti ${CONTAINER} bash -c "LANG=ru_RU.UTF-8 ${MYSQL_CMD}"
